Mailinglist Archive: opensuse (3100 mails)
| < Previous | Next > |
Re: [opensuse] Efficient script to get the delta ISOs and applydelta
- From: Bjoern Voigt <bjoern@xxxxxxxxxxxxxxx>
- Date: Fri, 3 Mar 2006 17:10:17 +0100 (CET)
- Message-id: <Pine.LNX.4.64N.0603031702410.9438@xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx>
Hello!
I also created a small script for updating my openSuSE iso files with
delta-iso files. The script does not download the delta-iso files
because I download the delta-iso files externally.
But the script applies the delta iso files and deletes the old
files (old iso files, old delta-iso files). The script is especially
useful if you do not have much temporary space or if you want to
re-start an "applydeltaiso" command.
The script header contains an example.
Greetings, Björn#! /bin/bash
#
# Make ISO files for openSuSE from delta-iso files
# (c) Bjoern Voigt <bjoern@xxxxxxxxxxxxxxx>, 2006.
#
# example:
# updating from openSuSE 10.1 Beta5 to 10.1 Beta6
# $ suse-makedeltaiso 'SUSE-Linux-10.1-beta5-i386-CD%d.iso' \
# 'delta-iso/SUSE-Linux-10.1-beta5_beta6-i386-CD%d.delta.iso' \
# 'SUSE-Linux-10.1-beta6-i386-CD%d.iso' 1 5
#
# $Id: suse-makedeltaiso.txt,v 1.3 2006/03/03 16:01:19 bv Exp $
#
usage ()
{
echo "Usage: $0 old delta new from-no to-no" 1>&2
echo " %d is the number-pattern" 1>&2
echo " CD (from-no) to CD (to-no)" 1>&2
exit 1
}
if [ $# -ne 5 ]; then
usage
fi
old="$1"
delta="$2"
new="$3"
start="$4"
end="$5"
no="$start"
if [ "$old" = "$new" -o "$old" = "delta" -o "$delta" = "$new" ]; then
usage
fi
if [ -f "new" ]; then
echo "Warning: $new already exists" 1>&2
echo "Continue (or press Control-C to cancel)..."
read key
fi
while [ "$no" -le "$end" ]; do
oldimage=$(printf $old $no)
deltaimage=$(printf $delta $no)
newimage=$(printf $new $no)
applydeltaiso "$oldimage" "$deltaimage" "$newimage"
ret=$?
if [ $ret -ne 0 ]; then
echo "applydeltaiso failed for" $no 1>&2
exit 2
fi
rm "$oldimage" "$deltaimage"
let no=no+1
done
I also created a small script for updating my openSuSE iso files with
delta-iso files. The script does not download the delta-iso files
because I download the delta-iso files externally.
But the script applies the delta iso files and deletes the old
files (old iso files, old delta-iso files). The script is especially
useful if you do not have much temporary space or if you want to
re-start an "applydeltaiso" command.
The script header contains an example.
Greetings, Björn#! /bin/bash
#
# Make ISO files for openSuSE from delta-iso files
# (c) Bjoern Voigt <bjoern@xxxxxxxxxxxxxxx>, 2006.
#
# example:
# updating from openSuSE 10.1 Beta5 to 10.1 Beta6
# $ suse-makedeltaiso 'SUSE-Linux-10.1-beta5-i386-CD%d.iso' \
# 'delta-iso/SUSE-Linux-10.1-beta5_beta6-i386-CD%d.delta.iso' \
# 'SUSE-Linux-10.1-beta6-i386-CD%d.iso' 1 5
#
# $Id: suse-makedeltaiso.txt,v 1.3 2006/03/03 16:01:19 bv Exp $
#
usage ()
{
echo "Usage: $0 old delta new from-no to-no" 1>&2
echo " %d is the number-pattern" 1>&2
echo " CD (from-no) to CD (to-no)" 1>&2
exit 1
}
if [ $# -ne 5 ]; then
usage
fi
old="$1"
delta="$2"
new="$3"
start="$4"
end="$5"
no="$start"
if [ "$old" = "$new" -o "$old" = "delta" -o "$delta" = "$new" ]; then
usage
fi
if [ -f "new" ]; then
echo "Warning: $new already exists" 1>&2
echo "Continue (or press Control-C to cancel)..."
read key
fi
while [ "$no" -le "$end" ]; do
oldimage=$(printf $old $no)
deltaimage=$(printf $delta $no)
newimage=$(printf $new $no)
applydeltaiso "$oldimage" "$deltaimage" "$newimage"
ret=$?
if [ $ret -ne 0 ]; then
echo "applydeltaiso failed for" $no 1>&2
exit 2
fi
rm "$oldimage" "$deltaimage"
let no=no+1
done
| < Previous | Next > |